using System;

internal sealed class Delegate89 : MulticastDelegate
{
	public extern Array Invoke(Type type_0);

	public static Array smethod_0(Type type_0, Delegate89 delegate89_1)
	{
		return delegate89_1(type_0);
	}

	public extern Delegate89(object object_0, IntPtr intptr_0);

	static Delegate89()
	{
		Class10.smethod_13(typeof(Delegate89).TypeHandle);
	}

	internal static Delegate89 delegate89_0;
}
